package br.usp.ime.mac5855.knn;

/**
 * @author Victor Williams Stafusa da Silva
 */
public final class PonderadorSubtrativo implements PonderadorKnn {

    private final double constanteBase;

    public PonderadorSubtrativo() {
        this(1.0);
    }

    public PonderadorSubtrativo(double constanteBase) {
        this.constanteBase = constanteBase;
    }

    @Override
    public double ponderar(double valor) {
        double valorPonderado = constanteBase - valor;
        return valorPonderado > 0.0 ? valorPonderado : 0.0;
    }
}