package br.usp.ime.mac5855.testeknn;

import br.usp.ime.mac5855.knn.EscalonadorUniforme;

/**
 * @author Victor Williams Stafusa da Silva
 */
public class EscalonadorPizzaUniforme extends EscalonadorUniforme<Pizza> {

    public EscalonadorPizzaUniforme() {
        super(7);
    }

    @Override
    public double[] valores(Pizza elemento) {
        return new double[] {
            elemento.azeitonas,
            elemento.rodelasTomate,
            elemento.gramasMussarela,
            elemento.gramasPresunto,
            elemento.tamanhoSapatoPizzaiolo,
            elemento.valorIngredientesEspeciais,
            12
        };
    }
}
