package br.usp.ime.mac5855.testeknn;

import java.util.Random;

/**
 * @author Victor Williams Stafusa da Silva
 */
public class Pizza {
    public int azeitonas;
    public int rodelasTomate;
    public double gramasMussarela;
    public double gramasPresunto;
    public double valorIngredientesEspeciais;

    public int tamanhoSapatoPizzaiolo;
    public boolean pizzaVip;

    public Double preco;

    @Override
    public String toString() {
        return "Pizza com "
            + azeitonas + " azeitonas, "
            + rodelasTomate + " rodelas de tomate, "
            + gramasMussarela + " gramas de mussarela, "
            + gramasPresunto + " gramas de presunto, "
            + valorIngredientesEspeciais + " de ingredientes especiais, "
            + (pizzaVip ? "VIP, " : "")
            + "feita por um pizzaiolo com sapato nmero " + tamanhoSapatoPizzaiolo
            + (preco == null ? ", sem preo." : " por R$ " + preco + ".");
    }

    public void gerarPreco(Random r) {

        double p = 12.0;
        p *= 1 + (azeitonas / 100.0);
        p *= 1 + (rodelasTomate / 50.0);
        p *= 1 + (gramasMussarela / 800.0);
        p *= 1 + (gramasPresunto / 500.0);
        p *= (pizzaVip ? 4.0 : 1.0); // Pizza Vip custa 4 vezes mais.
        p *= 1 + (2 * valorIngredientesEspeciais);
        p *= (r.nextGaussian() * 0.1 + 1.0); // Variao de preo aleatria.
        p /= 2;

        preco = ((long) (p * 100.0)) / 100.0; // Arredonda o preo.
    }
}