package br.usp.ime.mac5855.testeknn;

import br.usp.ime.mac5855.knn.EscalonadorMultiplicativo;

/**
 * @author Victor Williams Stafusa da Silva
 */
public class EscalonadorPizzaMultiplicativo extends EscalonadorMultiplicativo<Pizza> {

    public static EscalonadorPizzaMultiplicativo ok() {
        return new EscalonadorPizzaMultiplicativo(new double[] {0.01, 0.02, 1.0 / 800.0, 1.0 / 500.0, 0, 2.0, 1.0});
    }

    public static EscalonadorPizzaMultiplicativo comTamanhoSapato() {
        return new EscalonadorPizzaMultiplicativo(new double[] {0.01, 0.02, 1.0 / 800.0, 1.0 / 500.0, 1.0, 2.0, 1.0});
    }

    private EscalonadorPizzaMultiplicativo(double[] pesos) {
        super(pesos);
    }

    @Override
    public double[] valores(Pizza elemento) {
        return new double[] {
            elemento.azeitonas,
            elemento.rodelasTomate,
            elemento.gramasMussarela,
            elemento.gramasPresunto,
            elemento.tamanhoSapatoPizzaiolo,
            elemento.valorIngredientesEspeciais,
            12
        };
    }
}